Bug 1007781 - Editors should not contain file extension of assets
Editors should not contain file extension of assets
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Radovan Synek
:
Depends On:
Blocks: bpms6_ux/brms6_ux
  Show dependency treegraph
 
Reported: 2013-09-13 05:55 EDT by Zuzana Krejčová
Modified: 2014-08-06 16:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of both form modeler and jbpm designer (85.91 KB, image/png)
2013-10-18 04:38 EDT, Radovan Synek
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-09-13 05:55:37 EDT
Description of problem:
All editors show the asset name in the header of the panel. This name contains also the file extension. This is an unnecessary information, especially for a business user. We don't show the file extension in the Project Explorer - Business view, this should be consistent with that.

Instead of 'Business Process [evaluation.bpmn2]' and 'Enum Editor [enum.enumeration]', there should be only 'Business Process [evaluation]' and 'Enum Editor [enum]'.
Comment 1 manstis 2013-09-13 08:45:03 EDT
Jervis, this should be as simple as going through drools-wb's screens and change the @WorkbenchPartTitle methods to strip the file extension.
Comment 2 manstis 2013-09-13 08:46:40 EDT
Oh, and once you're done with drools-wb could you do the same for Designer (or speak to Tiho about making whatever changes might be necessary - although it'll only be the same thing as with drools-wb but with one of Designer's @WorkbenchEditors).
Comment 4 Tihomir Surdilovic 2013-09-18 13:44:42 EDT
For Designer - https://github.com/droolsjbpm/jbpm-designer/commit/31a6fed17

in master and 6.0.x branches.
Comment 6 Radovan Synek 2013-10-18 04:37:47 EDT
I can still see file extensions in Designer and Form Modeler, other editors show assets names properly.
Comment 7 Radovan Synek 2013-10-18 04:38:36 EDT
Created attachment 813652 [details]
screenshot of both form modeler and jbpm designer
Comment 9 Tihomir Surdilovic 2013-10-21 11:48:48 EDT
Fixes done in designer and form modeler.
Comment 10 Radovan Synek 2013-12-03 09:13:21 EST
Verified on BPMS-6.0.0.ER5

Note You need to log in before you can comment on or make changes to this bug.